tigase.stats

## Class CounterDataArchivizer

- java.lang.Object
- - tigase.stats.CounterDataArchivizer

- All Implemented Interfaces:
    StatisticsArchivizerIfc

      public class CounterDataArchivizer
      extends Object
      implements StatisticsArchivizerIfc

  Created: Mar 25, 2010 8:55:11 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DB_URL_PROP_KEY` Field description
    `static String` | `KEY_FIELD_PROP_KEY` Field description
    `static String` | `TABLE_NAME_PROP_KEY` Field description
    `static String` | `VAL_FIELD_PROP_KEY` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterDataArchivizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(StatisticsProvider sp)`
    `void` | `init(Map<String,Object> conf)`
    `void` | `initData(String key, String value)` Method description
    `void` | `initRepository(String conn_str, Map<String,String> params)` Method description
    `void` | `release()`
    `void` | `updateData(String key, String value)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DB_URL_PROP_KEY

          public static final String DB_URL_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### KEY_FIELD_PROP_KEY

          public static final String KEY_FIELD_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### TABLE_NAME_PROP_KEY

          public static final String TABLE_NAME_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### VAL_FIELD_PROP_KEY

          public static final String VAL_FIELD_PROP_KEY

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CounterDataArchivizer

          public CounterDataArchivizer()

  - ### Method Detail

    - #### execute

          public void execute(StatisticsProvider sp)

      Specified by:
        `execute` in interface `StatisticsArchivizerIfc`

    - #### init

          public void init(Map<String,Object> conf)

      Specified by:
        `init` in interface `StatisticsArchivizerIfc`

    - #### initData

          public void initData(String key,
                               String value)

      Method description
      Parameters:
        `key` -
        `value` -

    - #### initRepository

          public void initRepository(String conn_str,
                                     Map<String,String> params)
                              throws SQLException,
                                     ClassNotFoundException,
                                     InstantiationException,
                                     IllegalAccessException,
                                     DBInitException

      Method description
      Parameters:
        `conn_str` -
        `params` -
      Throws:
        `SQLException`
        `ClassNotFoundException`
        `InstantiationException`
        `IllegalAccessException`
        `DBInitException`

    - #### release

          public void release()

      Specified by:
        `release` in interface `StatisticsArchivizerIfc`

    - #### updateData

          public void updateData(String key,
                                 String value)

      Method description
      Parameters:
        `key` -
        `value` -

Copyright © 2016 "Tigase, Inc.". All rights reserved.